// JScript 文件

/*检查用户名是否存在:
  接受的参数是"id"形式.
  ValidateName即注册的页面类.
  CheckName为Ajax方法.
  alert接受string类型不加引号.
*/
function check(id)
{
    var name = getById(id);
    if(name.value=="")
        alert("不可为空!");
    else
    {
        var result = AjaxServer.Validate_Name.CheckName(name.value).value; 
        alert(result);
    }
}

function checkName(id)
{
//var hd=getById('HF1');
//    alert(hd.value);
    var name = getById(id);
    if(name.value=="")
        alert("不可为空!");
    else
    {
        var result1 = AjaxServer.Validate_Name.CheckName(name.value).value; 
        alert(result1);
    }
}

function checkEmail(id)
{
    var email = getById(id);
    var emailStr=email.value;//theForm.Email.value;
    var emailPat=/^(.+)@(.+)$/;
    var matchArray=emailStr.match(emailPat);
    if (matchArray==null) 
    {
         alert("电子邮件地址必须包括 ( @ 和 . )")
         return false;
    }
}
//测试用
//function alertHello(txt)
//{
//    var v = getById(txt);
//    alert(v.value);
//}
function change1(id)
{
alert('');
    var hd=getById(id);
    hd.value=this.value;
}